export declare class Database {
    private _db;
    private _hasReachedQuota;
    private _isSupported;
    private _idbFactory;
    /**
     * Creates a new Database
    */
    constructor();
    openAsync(): Promise<void>;
    /**
     * Open the database and make it available
     * @param successCallback defines the callback to call on success
     * @param errorCallback defines the callback to call on error
     */
    open(successCallback: () => void, errorCallback: () => void): void;
    loadFileAsync(fileId: string): Promise<any>;
    saveFileAsync(fileId: string, data: any): Promise<void>;
    deleteFileAsync(fileId: string): Promise<void>;
}
